---
onap_etc_path: "{{ ansible_user_dir }}/onap/{{ onap_version }}"
onap_istio_enabled: true
onap_namespace: onap
onap_path: "{{ ansible_user_dir }}/onap/oom"
onap_release_name: onap
onap_release_version:
  "{{ onap_release_versions[onap_version] |
      default(onap_default_release_version) }}"
onap_version: master
onap_timeout: 900s
onap_kubeconfig_path: "{{ lookup('env', 'HOME') }}/.kube/config"

# set it to the name of your privileged PSP if you need to set one
# kubernetes_privileged_pod_security_policy:

##
# Specific variables, not meant to be overrided
##

onap_generic_override_path:
  "{{ onap_path }}/kubernetes/onap/resources/overrides"
onap_override_components: "{{ onap_etc_path }}/onap-components.yml"
onap_override_file: "{{ onap_etc_path }}/onap-overrides.yml"
onap_override_gating_component:
  "{{ onap_etc_path }}/gating-component-overrides.yml"
onap_all_file: "{{ onap_generic_override_path }}/onap-all.yaml"

onap_default_release_version: 10.0.0

onap_release_versions:
  master: "{{ onap_default_release_version }}"
  istanbul: 9.0.0
  honolulu: 8.0.1
  guilin: 7.0.0
  frankfurt: 6.0.0
  elalto: 5.0.0

# Should be done in OOM!
onap_privileged_cluster_role_name:
  "use-{{ kubernetes_privileged_pod_security_policy }}"
no_suffix_service_account:
  - awx
onap_privileged_service_accounts:
  - name: aaf-sms-preload
    type: read
  - name: aai-babel
    type: read
  - name: aai-graphadmin
    type: read
  - name: aai-modelloader
    type: read
  - name: aai
    type: read
  - name: aai-resources
    type: read
  - name: aai-schema-service
    type: read
  - name: aai-sparky-be
    type: read
  - name: aai-traversal
    type: read
  - name: appc-db
    type: read
  - name: awx
    type: na
  - name: awx-postgres
    type: read
  - name: cassandra
    type: nothing
  - name: cds-blueprints-processor
    type: read
  - name: cds-command-executor
    type: read
  - name: cds-db
    type: read
  - name: cds-py-executor
    type: read
  - name: cds-sdc-listener
    type: read
  - name: cds-ui
    type: read
  - name: cmso-db
    type: read
  - name: cps-db
    type: read
  - name: dmaap-dr-db
    type: read
  - name: mariadb-galera
    type: read
  - name: message-router-kafka
    type: read
  - name: message-router
    type: read
  - name: message-router-zookeeper
    type: read
  - name: msb-discovery
    type: read
  - name: msb-eag
    type: read
  - name: msb-iag
    type: read
  - name: multicloud
    type: read
  - name: multicloud-fcaps
    type: read
  - name: multicloud-k8s
    type: read
  - name: multicloud-pike
    type: read
  - name: nbi
    type: read
  - name: netbox-app
    type: read
  - name: netbox-nginx
    type: read
  - name: netbox-postgres
    type: read
  - name: oof
    type: read
  - name: oof-has-api
    type: read
  - name: oof-has-controller
    type: read
  - name: oof-has-data
    type: read
  - name: oof-has-reservation
    type: read
  - name: oof-has-solver
    type: read
  - name: policy-apex-pdp
    type: read
  - name: policy-api
    type: read
  - name: policy-clamp-be
    type: read
  - name: policy-clamp-cl-http-ppnt
    type: read
  - name: policy-clamp-cl-k8s-ppnt
    type: create
  - name: policy-clamp-cl-pf-ppnt
    type: read
  - name: policy-clamp-cl-runtime
    type: read
  - name: policy-clamp-fe
    type: read
  - name: policy-distribution
    type: read
  - name: policy-drools-pdp
    type: read
  - name: policy
    type: read
  - name: policy-gui
    type: read
  - name: policy-mariadb
    type: read
  - name: policy-pap
    type: read
  - name: policy-xacml-pdp
    type: read
  - name: sdc-be
    type: read
  - name: sdc-cs
    type: read
  - name: sdc-fe
    type: read
  - name: sdc-onboarding-be
    type: read
  - name: sdnc
    type: read
  - name: sdnc-dgbuilder
    type: read
  - name: sdnc-dmaap-listener
    type: read
  - name: sdnc-dmaap-listener
    type: read
  - name: sdnc-ueb-listener
    type: read
  - name: sdnc-web
    type: read
  - name: so
    type: read
  - name: so-admin-cockpit
    type: read
  - name: so-admin-cockpit
    type: read
  - name: so-bpmn-infra
    type: read
  - name: so-catalog-db-adapter
    type: read
  - name: so-cnf-adapter
    type: read
  - name: so-etsi-nfvo-ns-lcm
    type: read
  - name: so-etsi-sol003-adapter
    type: read
  - name: so-etsi-sol005-adapter
    type: read
  - name: so-nssmf-adapter
    type: read
  - name: so-oof-adapter
    type: read
  - name: so-etsi-sol003-adapter
    type: read
  - name: so-etsi-sol005-adapter
    type: read
  - name: so-mariadb
    type: read
  - name: so-openstack-adapter
    type: read
  - name: so-request-db-adapter
    type: read
  - name: so-sdc-controller
    type: read
  - name: so-sdnc-adapter
    type: read
  - name: so-ve-vnfm-adapter
    type: read
  - name: vfc-mariadb-db
    type: read
